Add categories
post
/fscmRestApi/resources/11.13.18.05/localCatalogs/{CatalogId}/action/addCategories
Adds specific categories to be included or excluded from a local catalog.
Request
Path Parameters
-
CatalogId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/vnd.oracle.adf.action+json
Root Schema : schema
Type:
Show Source
object-
categories: array
categories
List of categories to be added. For each category include the AssignmentType and CategoryId. Valid values for AssignmentType are PURCHASING_CATEGORY and BROWSING_CATEGORY. CategoryId is the unique identifier of the category to be added.
Nested Schema : categories
Type:
arrayList of categories to be added. For each category include the AssignmentType and CategoryId. Valid values for AssignmentType are PURCHASING_CATEGORY and BROWSING_CATEGORY. CategoryId is the unique identifier of the category to be added.
Show Source
-
Array of:
object items
Additional Properties Allowed: additionalProperties
Response
Supported Media Types
- application/json
- application/vnd.oracle.adf.actionresult+json
Default Response
The following table describes the default response for this task.
Root Schema : schema
Type:
Show Source
object-
result(required): array
result
If the action is successful, it adds the categories. Otherwise, it returns the relevant errors.
Nested Schema : result
Type:
arrayIf the action is successful, it adds the categories. Otherwise, it returns the relevant errors.
Show Source
-
Array of:
object items
Additional Properties Allowed: additionalProperties